<?php

/**
* @Entity(repositoryClass="\Repositories\BookRepository")
* @Table(name="books")
* @HasLifecycleCallbacks
* @EntityListeners({"\Events\BookListener"})
*/
class Book implements IFilter{
	
	/**
	* @id
	* @Column(type="integer")
	* @GeneratedValue
	*/
	public $id;
	
	/**
	* @Column(type="string", name="title_book", length=32, unique=true, nullable=true)
	* @GeneratedValue
	*/
	public $title;
	
	
	/**
	* 
	* @ManyToOne(targetEntity="User",inversedBy="books")
	* @JoinColumn(name="user_id",referencedColumnName="id")
	* 
	*/
	private $user;
	
	public function setUser($user) {
		$this->user = $user;
	}
	public function getUser() {
		return $this->user;
	}
	
	/**
	* 
	* @Column(type="datetime", nullable=true)
	* 
	*/
	private $createdAt;
	
	/**
	* 
	* @PrePersist
	*/
	public function setCreatedAt() {
		$this->createdAt = new DateTime;
	}
	
	
	
	
}